%define name gnome-video-arcade
%define version 0.7.1
%define release %mkrel 1
%define gtk2_version 2.20
%define libgnomeui_version 2.24
%define libwnck_version 2.30
%define sdlmame_data_version 0.117
%define gnome_icon_theme_version 2.30

Summary:       GNOME Video Arcade is a MAME front-end for GNOME
Name:          %{name}
Version:       %{version}
Release:       %{release}
License:       GPLv3+
Group:         Games/Arcade
URL:           http://mbarnes.github.com/gnome-video-arcade/
Source:        http://download.gnome.org/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
Source1:       %{name}.png
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gettext
BuildRequires: gnome-doc-utils
BuildRequires: gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: intltool
BuildRequires: libunique-devel
BuildRequires: libgnomeui2_0-devel >= %{libgnomeui_version}
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: perl-XML-Parser
BuildRequires: scrollkeeper
BuildRequires: sqlite3-devel
BuildRequires: libxres1-devel
Requires: sdlmame
Requires: sdlmame-data >= %{sdlmame_data_version}
Requires(post,preun): GConf2


%description
GNOME Video Arcade is a MAME front-end for GNOME.

%prep
%setup -q 

%build
export SDLMAME=/usr/games/sdlmame 
autoreconf -fi
%configure2_5x \
 --with-history-file=%{_datadir}/games/sdlmame/history.dat	
	
%make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%makeinstall_std
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 %{buildroot}%_miconsdir/%{name}.png
convert -resize 16 %{buildroot}%_miconsdir/%{name}.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 %SOURCE1 %{buildroot}%_iconsdir/%{name}.png
convert -resize 32 %{buildroot}%_iconsdir/%{name}.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 %SOURCE1 %{buildroot}%_liconsdir/%{name}.png
mkdir -p %buildroot/%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot/%_datadir/pixmaps/%{name}.png


%find_lang %{name} --with-gnome

%define schemas %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%post_install_gconf_schemas %{schemas}
%update_menus
%update_desktop_database
%update_mime_database

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_scrollkeeper
%clean_menus
%clean_desktop_database
%clean_mime_database

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/gtk-doc/html/%{name}/*
%{_datadir}/omf/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%_datadir/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Tue Jun 01 2010 slick50 <lxgator@gmail.com> 0.7.1-1pclos2010
- 0.7.1

* Thu Mar 11 2010 slick50 <lxgator@gmail.com> 0.7.0-1pclos2010
- 0.7.0

* Sat Jan 23 2010 slick50 <lxgator@gmail.com> 0.6.8-1pclos2010
- 0.6.8

* Wed Apr 26 2009 slick50 <lxgator@gmail.com> 0.6.7-1pclos2009
- initial pkg
